package org.implab.gradle.common.sources;

import org.gradle.api.NamedDomainObjectProvider;

public class VariantSourceSet {
    private final NamedDomainObjectProvider<GenericSourceSet> sourceSet;

    String getName() {
        return sourceSet.getName();
    }

    public VariantSourceSet(NamedDomainObjectProvider<GenericSourceSet> sourceSet) {
        this.sourceSet = sourceSet;
    }

    public NamedDomainObjectProvider<GenericSourceSet> getSourceSet() {
        return sourceSet;
    }
}
